Subject: Re: [IPV4] ip_gre: should take care of CONFIG_IPV6_MODULE

From: Patrick McHardy <[email-masked]>
Date: Tue, 22 Jan 2008 09:21:26 +0100

Eric Dumazet wrote:
> If IPV6 is configured as a module, GRE code misses some IPV6 parts.

I believe this is intentional to avoid a runtime dependency on ipv6.
Fixing this without pulling in the ipv6 module would be preferrable.